<?php

namespace App\Http\Controllers;

use Exception;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class ProjectController extends Controller
{
    //

    public function getProjectData()
    {
        try {
            $query = "SELECT  
            'SKEJ' AS ProjectCode , 
            'Jayewardenepura University' AS ProjectName , 
            '2021-01-01' AS Start, 
            '2023-06-23' AS Finished ,
            ROUND((D.PlannedValue/D.TotalValue),2) * 100  AS PlanedProgress , 
            ROUND((D.EarnValue/D.TotalValue),2) * 100  AS CurrentProgress ,
           
            ROUND(D.EarnValue / D.PlannedValue,2) AS SPI , 
            ROUND(D.EarnValue / D.ActualCost,2) AS CPI 
            
           FROM   
           
           (SELECT 
           (SELECT ROUND(SUM(Budget*(WorkDone/100)) /1000000,2)  FROM  Job   ) AS EarnValue , 
           (SELECT ROUND(SUM(Budget) /1000000,2)    FROM  Job   WHERE TargetDate <= '2023-04-30' ) AS PlannedValue ,
           (SELECT ROUND(SUM(Budget) /1000000,2)    FROM  Job   ) AS TotalValue ,
           (SELECT ROUND(SUM(JH.Amount*JH.Quantity)/1000000,2)    FROM  Job J 
           INNER JOIN JobHistory JH ON J.JobID=JH.JobID WHERE TranDate<='2023-04-30') AS ActualCost ) D";

            $result = DB::select($query);

            return response()->json(['status' => true, 'data' => $result]);
        } catch (Exception $ex) {
            return response()->json(['status' => false, 'error' => $ex]);
        }
    }
}
