<?php

namespace App\Http\Controllers;

use Exception;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class SummaryController extends Controller
{
    
    public function getBudgetDonutData()
    {
        try {
            $query = "SELECT  
            ROUND(((D.TotalValue-D.ActualCost ) / D.TotalValue),2) * 100  AS budget ,
            ROUND((D.ActualCost  / D.TotalValue),2) * 100 AS expenditure
           
            
           FROM   
           
           (SELECT 
           (SELECT ROUND(SUM(Budget*(WorkDone/100)) /1000000,2)  FROM  Job   ) AS EarnValue , 
           (SELECT ROUND(SUM(Budget) /1000000,2)    FROM  Job   WHERE TargetDate <= '2023-04-30' ) AS PlannedValue ,
           (SELECT ROUND(SUM(Budget) /1000000,2)    FROM  Job   ) AS TotalValue ,
           (SELECT ROUND(SUM(JH.Amount*JH.Quantity)/1000000,2)    FROM  Job J 
           INNER JOIN JobHistory JH ON J.JobID=JH.JobID WHERE TranDate<='2023-04-30') AS ActualCost ) D";

            $result = DB::select($query);

            return response()->json(['status' => true, 'data' => $result]);
        } catch (Exception $ex) {
            return response()->json(['status' => false, 'error' => $ex]);
        }
    }


    public function getPendingDonutData()
    {
        try {
            $query = "SELECT  

            ROUND(((D.TotalValue-D.EarnValue ) / D.TotalValue),2) * 100  AS pending  ,
            ROUND((D.EarnValue  / D.TotalValue),2) * 100 AS workdone 
           
            
           FROM   
           
           (SELECT 
           (SELECT ROUND(SUM(Budget*(WorkDone/100)) /1000000,2)  FROM  Job   ) AS EarnValue , 
           (SELECT ROUND(SUM(Budget) /1000000,2)    FROM  Job   WHERE TargetDate <= '2023-04-30' ) AS PlannedValue ,
           (SELECT ROUND(SUM(Budget) /1000000,2)    FROM  Job   ) AS TotalValue ,
           (SELECT ROUND(SUM(JH.Amount*JH.Quantity)/1000000,2)    FROM  Job J 
           INNER JOIN JobHistory JH ON J.JobID=JH.JobID WHERE TranDate<='2023-04-30') AS ActualCost ) D";

            $result = DB::select($query);

            return response()->json(['status' => true, 'data' => $result]);
        } catch (Exception $ex) {
            return response()->json(['status' => false, 'error' => $ex]);
        }
    }



    public function getTaskData()
    {
        try {
            $query = "SELECT 'Total tasks'AS task,
            '3000' AS no_of_task";

            $result = DB::select($query);

            return response()->json(['status' => true, 'data' => $result]);
        } catch (Exception $ex) {
            return response()->json(['status' => false, 'error' => $ex]);
        }
    }
}
