$(document).ready(function () {
    getCostPerformanceData();
});


function getCostPerformanceData() {
    $.ajax({
        type: "GET",
        url: "/cost_performance/getCostPerformanceData",
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response);
            if (response.status) {
                $('#tblCostPerformance').empty();
                for (var i = 0; i < response.data.length; i++) {
                    var row_class = 'class="even_row"';
                    if (i % 2 == 1) {
                        row_class = 'class="odd_row"';
                    }
                    var row = '<tr ' + row_class + '>';
                    row += '<td>' + response.data[i].Name + '</td>';
                    row += '<td style="text-align:right;">' + response.data[i].TotalBudjet + '</td>';
                    row += '<td><div class="progress"> <div class="progress-bar progress-bar-striped" role="progressbar" style="width: '+response.data[i].WorkDonePercentage+'%" aria-valuenow="10" aria-valuemin="0" aria-valuemax="100">' + response.data[i].WorkDonePercentage + '%</div></div></td>';
                    row += '<td style="text-align:right;">' + parseFloat(response.data[i].BudjetForWorkDone).toFixed(2) + '</td>';
                    row += '<td style="text-align:right;">' + parseFloat(response.data[i].ActualExpenditure).toFixed(2) + '</td>';
                    row += '<td style="text-align:right;">' + parseFloat(response.data[i].SaveLost).toFixed(2) + '</td>';
                    row += '<td><div class="progress"> <div class="progress-bar progress-bar-striped" role="progressbar" style="width: '+response.data[i].SaveLostPercentage+'%" aria-valuenow="10" aria-valuemin="0" aria-valuemax="100">' + response.data[i].SaveLostPercentage + '%</div></div></td>';
                    row += '<td style="text-align:right;">' + parseFloat(response.data[i].RemainBudjet).toFixed(2) + '</td>';
                    row += '</tr>';
                    $('#tblCostPerformance').append(row);
                }
            }

        },
        error: function (error) {
            console.log(error);

        },

    });
}