$(document).ready(function () {
    $(function () {
        $('[data-toggle="tooltip"]').tooltip()
    })
    getProjectData();
});


function getProjectData() {
    $.ajax({
        type: "GET",
        url: "/project/getProjectData",
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response);
            if (response.status) {
                $('#tblProject').empty();

                var spi_count_behind_schedule = 0;
                var spi_count_ahead_schedule = 0;


                for (var i = 0; i < response.data.length; i++) {
                    var row_class = 'class="even_row"';
                    if (i % 2 == 1) {
                        row_class = 'class="odd_row"';
                    }
                    var spi_color = "red";
                    var spi_label = "Behind the schedule";
                    spi_count_behind_schedule += response.data[i].SPI;
                    if (parseFloat(response.data[i].SPI) > 1) {
                        spi_color = "green";
                        spi_label = "Ahead of schedule";
                        spi_count_ahead_schedule += response.data[i].SPI;
                    }

                    var cpi_color = "red";
                    var cpi_label = "Over the budget";
                    if (parseFloat(response.data[i].CPI) > 1) {
                        cpi_color = "green";
                        cpi_label = "Under the budget";
                    }
                    var row = '<tr ' + row_class + '>';
                    row += '<td>' + response.data[i].ProjectCode + '</td>';
                    row += '<td>' + response.data[i].ProjectName + '</td>';
                    row += '<td>' + response.data[i].Start + '</td>';
                    row += '<td>' + response.data[i].Finished + '</td>';
                    row += '<td><div class="progress"> <div class="progress-bar progress-bar-striped" role="progressbar" style="width: ' + parseFloat(response.data[i].PlanedProgress).toFixed(2) + '%" aria-valuenow="10" aria-valuemin="0" aria-valuemax="100">' + parseFloat(response.data[i].PlanedProgress).toFixed(1) + '%</div></div></td>';
                    row += '<td><div class="progress"> <div class="progress-bar progress-bar-striped" role="progressbar" style="width: ' + parseFloat(response.data[i].CurrentProgress).toFixed(2) + '%" aria-valuenow="10" aria-valuemin="0" aria-valuemax="100">' + parseFloat(response.data[i].CurrentProgress).toFixed(1) + '%</div></div></td>';
                    row += '<td> <div class="row">';
                    row += '<div class="col-md-12" style="margin: 0px;">';
                    row += '<label style="background-color: ' + spi_color + ';width: 100%;height: 100%;margin: 0px;text-align: center;">' + response.data[i].SPI + '</label>';
                    row += '</div></div>';
                    row += '<div class="row">';
                    row += '<div class="col-md-12" style="margin: 0px;">';
                    row += '<label style="width: 100%;height: 100%;margin: 0px;text-align: center;">' + spi_label + '</label></div></div></td>';
                    row += '<td><div class="row">';
                    row += '<div class="col-md-12" style="margin: 0px;">';
                    row += '<label style="background-color: ' + cpi_color + ';width: 100%;height: 100%;margin: 0px;text-align: center;">' + response.data[i].CPI + '</label>';
                    row += '</div></div>';
                    row += '<div class="row">';
                    row += '<div class="col-md-12" style="margin: 0px;">';
                    row += '<label style="width: 100%;height: 100%;margin: 0px;text-align: center;">' + cpi_label + '</label>';
                    row += '</div></div></td>';
                    row += '</tr>';
                    $('#tblProject').append(row);
                }
                initSchedulePerformance(spi_count_behind_schedule, spi_count_ahead_schedule);
            }

        },
        error: function (error) {
            console.log(error);

        },

    });
}
